Bug 1419589 (CVE-2017-5841) - CVE-2017-5841 gstreamer-plugins-good: Heap out-of-bounds read in gst_avi_demux_parse_ncdt
Summary: CVE-2017-5841 gstreamer-plugins-good: Heap out-of-bounds read in gst_avi_demu...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5841
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419610 1419608 1419609 1419611
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:03 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
27 users (show)

Fixed In Version: gstreamer1-plugins-good 1.10.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 10:52:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 15:03:55 UTC
An out-of-bounds heap read was found gst_avi_demux_parse_ncdt.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=777500

Upstream patch:

https://github.com/GStreamer/gst-plugins-good/commit/32d9f3c

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:27:17 UTC
Created mingw-gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419611]

Comment 2 Adam Mariš 2017-02-06 15:27:33 UTC
Created mingw-gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419610]

Comment 3 Adam Mariš 2017-02-06 15:27:49 UTC
Created gstreamer-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419608]

Comment 4 Adam Mariš 2017-02-06 15:28:04 UTC
Created gstreamer1-plugins-good tracking bugs for this issue:

Affects: fedora-all [bug 1419609]

Comment 6 errata-xmlrpc 2017-08-01 22:30:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.